=== debian/changelog ===
kdesvn (1.5.4-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release
  * Merge with Debian Unstable, remaining change:
    - Keep the docbook FTBFS patch

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 21 Aug 2010 22:30:16 -0400

kdesvn (1.5.3-1ubuntu2) maverick; urgency=low

  * doc/nl/index.docbook:
    Bump doctype version to 4.2 (fixes FTBFS). 

 -- Michael Bienia <geser@ubuntu.com>  Mon, 09 Aug 2010 19:00:36 +0200

kdesvn (1.5.3-2) unstable; urgency=low

  * Install KDE 4 HTML documentation to /usr/share/doc/kde/HTML.
    Bump Build-Depends on pkg-kde-tools to (>= 0.9) so HTML_INSTALL_DIR is
    set correctly.

 -- Michael Biebl <biebl@debian.org>  Tue, 01 Jun 2010 23:54:04 +0200

kdesvn (1.5.3-1ubuntu1) maverick; urgency=low

  * Merge from Debian Unstable, remaining changes:
    - debian/rules: export KUBUNTU_NO_DELETE_POT=1 so that things don't fail
    - kdesvn.install: use Kubuntu docpath (/usr/share/doc/kde/)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 06 May 2010 15:47:54 -0400

kdesvn (1.5.3-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sun, 11 Apr 2010 00:36:26 +0200

kdesvn (1.5.3-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 10 Apr 2010 07:59:36 -0400

kdesvn (1.5.2-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg "3.0 (quilt)" source format so we no longer need to
    repack the upstream tar.bz2 tarball.
  * Switch from cdbs to dh v7.
  * debian/control
    - Drop quilt from Build-Depends.
    - Drop cdbs from Build-Depends.
    - Bump Build-Depends on debhelper to (>= 7.3.16) and pkg-kde-tools to
      (>= 0.5) for the kde dh addon.
    - Bump Standards-Version to 3.8.4. No further changes.
  * debian/rules
    - Add override for dh_makeshlibs. Add -V for tight shlibs dependencies.
    - Add override for dh_strip. Add kdesvn-dbg debug package.
    - Add override for dh_compress. Exclude docbook files.

 -- Michael Biebl <biebl@debian.org>  Sat, 13 Feb 2010 18:24:09 +0100

kdesvn (1.5.2-0ubuntu1) lucid; urgency=low

  * New upstream release.

 -- Andreas Wenning <awen@awen.dk>  Fri, 12 Feb 2010 23:57:51 +0100

kdesvn (1.5.1-1ubuntu1) lucid; urgency=low

  * Merge from Debian Unstable, remaining changes:
    - debian/rules: export KUBUNTU_NO_DELETE_POT=1 so that things don't fail
    - kdesvn.install: use Kubuntu docpath (/usr/share/doc/kde/)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 17 Jan 2010 09:36:08 -0500

kdesvn (1.5.1-1) unstable; urgency=low

  * New upstream release.
    - Fixes duplicate buttons in properties dialog. Closes: #551816
  * Review debian/copyright. Closes: #539931

 -- Michael Biebl <biebl@debian.org>  Sun, 17 Jan 2010 01:22:18 +0100

kdesvn (1.5.0-1ubuntu1) lucid; urgency=low

  * Merge from Debian Unstable, remaining changes:
    - debian/rules: export KUBUNTU_NO_DELETE_POT=1 so that things don't fail
    - kdesvn.install: use Kubuntu docpath (/usr/share/doc/kde/)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 12 Jan 2010 09:50:33 -0500

kdesvn (1.5.0-1) unstable; urgency=low

  * New upstream release.
    - Includes a fix for the French translation.
      Thanks to Filipus Klutiero for the patch. Closes: #554859
  * debian/docs
    - Drop README file, removed upstream.
  * debian/control
    - Fix a spelling error detected by lintian. Closes: #557490

 -- Michael Biebl <biebl@debian.org>  Mon, 11 Jan 2010 23:06:37 +0100

kdesvn (1.4.1-1ubuntu1) lucid; urgency=low

  * Merge from Debian Testing, remaining changes:
    - debian/rules: export KUBUNTU_NO_DELETE_POT=1 so that things don't fail
    - kdesvn.install: use Kubuntu docpath (/usr/share/doc/kde/)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 03 Nov 2009 11:37:53 -0500

kdesvn (1.4.1-0ubuntu1) karmic; urgency=low

  * New upstream release. (LP: #440894, #432407)

 -- Andreas Wenning <awen@awen.dk>  Fri, 02 Oct 2009 22:40:02 +0200

kdesvn (1.4.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.3. Add README.source.
  * debian/copyright: Update copyright statement.

 -- Michael Biebl <biebl@debian.org>  Thu, 01 Oct 2009 23:39:59 +0200

kdesvn (1.4.0-1ubuntu2) karmic; urgency=low

  * Add replaces/conflicts on libqtsvn5 for libqtsvn6

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 18 Aug 2009 20:54:49 -0400

kdesvn (1.4.0-1ubuntu1) karmic; urgency=low

  * Merge from Debian Unstable, remaining changes:
    - debian/rules: export KUBUNTU_NO_DELETE_POT=1 so that things don't fail
    - kdesvn.install: use Kubuntu docpath (/usr/share/doc/kde/)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 18 Aug 2009 19:37:57 -0400

kdesvn (1.4.0-1) unstable; urgency=low

  * New upstream release.
  * Soname bump of svnqt: libsvnqt5 → libsvnqt6.

 -- Michael Biebl <biebl@debian.org>  Sun, 02 Aug 2009 21:51:11 +0200

kdesvn (1.4.0-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 01 Aug 2009 15:25:42 -0400

kdesvn (1.3.2-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control: kdesvn Conflicts/Replaces on kdesvn-kde4 and
      kdesvn-kio-plugins Conflics/Replaces kdesvn-kio-plugins-kde4
    - debian/rules: export KUBUNTU_NO_DELETE_POT=1 so that things don't fail
    - kdesvn.install: use Kubuntu docpath (/usr/share/doc/kde/)
    Bug fixes:
    - Load last opened URL on start doesn't work (LP: #353864)

 -- Simon Olofsson <simon@olofsson.de>  Thu, 16 Jul 2009 22:07:49 +0200

kdesvn (1.3.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Bump Standards-Version. No further changes.
  * debian/copyright
    - Smaller updates and corrections.
    - Refer to the versioned GPL-2 (kdesvn) and LGPL-2.1 (svnqt) files in
      /usr/share/common-licenses.

 -- Michael Biebl <biebl@debian.org>  Tue, 14 Jul 2009 15:51:04 +0200

kdesvn (1.3.1-1ubuntu1) karmic; urgency=low


