=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with kde $@

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_strip:
	dh_strip --dbg-package=kdesvn-dbg

override_dh_compress:
	dh_compress -X .docbook
