## kdesvn 1.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 ELSE (CMAKE_MAJOR_VERSION EQUAL 2 AND CMAKE_MINOR_VERSION EQUAL 4)
     CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
 ENDIF (CMAKE_MAJOR_VERSION EQUAL 2 AND CMAKE_MINOR_VERSION EQUAL 4)
-SET(BASE_VERSION 1.5.4)
+SET(BASE_VERSION 1.5.5)
 
 OPTION(BUILD_TESTS "Building the tests yes or no (default off)")
