=== debian/changelog ===
kdesvn (1.5.5-3) unstable; urgency=low

  * debian/patches/doctype_version.patch
    - Bump DOCTYPE version to 4.2 to fix FTBFS with kdoctools 4.6.
      Patch taken from Kubuntu. Closes: #628325
  * Bump Standards-Version to 3.9.2. No further changes.
  * Build against newer apr-util to get rid of the libdb4.8 dependency.
    Closes: #621431

 -- Michael Biebl <biebl@debian.org>  Sat, 28 May 2011 17:21:39 +0200

kdesvn (1.5.5-2) unstable; urgency=low

  * Upload to unstable
  * Bump debhelper compatibility level to 8 and update the build dependency
    accordingly.

 -- Michael Biebl <biebl@debian.org>  Mon, 07 Feb 2011 20:19:18 +0100

kdesvn (1.5.5-1) experimental; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sun, 17 Oct 2010 18:04:49 +0200

kdesvn (1.5.4-2) unstable; urgency=low

  * debian/control
    - As the file conflict with kdesdk-kio-plugins is not transient we need to
      use Conflicts, not Breaks. So revert that change from 1.5.4-1.

 -- Michael Biebl <biebl@debian.org>  Sun, 05 Sep 2010 07:19:37 +0200

kdesvn (1.5.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Bump Standards-Version to 3.9.1.
    - Use Breaks instead of Conflicts as recommended by the new policy.
    - Drop old Conflicts against kdesdk-misc which is no longer necessary.

 -- Michael Biebl <biebl@debian.org>  Tue, 24 Aug 2010 22:14:04 +0200
