=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh --with kde $@
+	dh $@ --with-kde
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V
